This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 870570 - Anaconda needs to retry downloading the repo medata on a network config change
Anaconda needs to retry downloading the repo medata on a network config change
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-10-26 18:34 EDT by Dennis Jacobfeuerborn
Modified: 2014-02-05 17:51 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:51:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Jacobfeuerborn 2012-10-26 18:34:27 EDT
Selecting an installation source is somewhat difficult. Since it defaults
to "closest mirror" it cannot work until the network is properly configured
however once I did that it didn't try again to download the metadata.

So I went in there, made sure that "closest mirror" is selected and clicked
"done". Nothing.
So I went in again selected "http" and then "closest mirror" again followed
by "done". Nothing.
Then I tried "http" => done and when I go back in "closest mirror" is set
again.
Finally I went all the way and set "http" with an actual (bogus) ip address
and clicked done. Now I got an error (which was expected). After now going
back in and selecting "closest mirror" again Anaconda finally could be
convinced to try and download the meta data again which this time succeeded.

I think Anaconda should:
a) Automatically retry to get the metadata once the network configuration has changed.
b) When the user enters the installation source spoke and exits it again even without making any changes it should retry again to fetch the metadata.
Comment 1 Jesse Keating 2012-10-26 19:06:40 EDT
We actually don't try to re-fetch on purpose, because we were re-fetching perfectly valid repodata.  However that should probably only be skipped if we don't have some sort of error state.
Comment 2 Tom Lane 2012-10-30 12:46:00 EDT
I've been running into this too --- it's seriously annoying if the network config isn't exactly right the first time.  (And anaconda is far too willing to assume that networking doesn't need configuration, anyway.)
Comment 3 Radek Vykydal 2012-10-31 04:21:06 EDT
Please note that in TC6, network spoke was lying about network being connected in some cases (bug 871129) which should be fixed in anaconda 19.22.
Comment 4 Adam Williamson 2012-10-31 15:05:44 EDT
Discussed at 2012-10-31 NTH review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-10-31/f18beta-blocker-review-6.2012-10-31-16.00.log.txt . Accepted as NTH as this bug can be annoying and difficult to work around sometimes when making network configuration changes. However, as it touches a sensitive code path, we would like to see an updates.img for testing before this gets pushed into anaconda proper (and it'd be nice to see the patch itself too).
Comment 5 Kamil Páral 2012-11-23 10:51:16 EST
Because this is an annoying bug and it is not always obvious how to work around it, proposing as Final NTH.
Comment 6 Tim Flink 2012-12-21 12:03:59 EST
Is this still happening? There haven't been any new reports in almost a month and there have been many anaconda changes since then.
Comment 7 Tom Lane 2012-12-21 14:21:12 EST
Yes, it's still broken in F18-Final-TC3.  If you arrive at the main menu with broken network configuration, the "installation source" setup fails, and it's very unobvious how to get anaconda to retry that.  I tested by intentionally giving a wrong DNS server address during manual network configuration (in an environment with no DHCP service).  There seems to be a different bug tickled there in TC3, which is that once you've given a bad DNS address the network spoke fails to notice a correction --- but what's being complained of in this BZ is the installation source spoke's unwillingness to retry either.

Basically, none of this stuff is very willing to recover if you don't get it right the first time.
Comment 8 Tom Lane 2012-12-21 14:39:15 EST
I filed the other issue as bz #889584
Comment 9 Fedora End Of Life 2013-12-21 10:09:49 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 17:51:08 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.